| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
CHIP: LPC18xx/43xx LCD driver
LPC18xx/43xx chip specific drivers

## Detailed Description

## Functions
void | Chip_LCD_Init (LPC_LCD_T *pLCD, LCD_Config_T *LCD_ConfigStruct)
| Initialize the LCD controller.
void | Chip_LCD_DeInit (LPC_LCD_T *pLCD)
| Shutdown the LCD controller.
STATIC INLINE void | Chip_LCD_PowerOn (LPC_LCD_T *pLCD)
| Power-on the LCD Panel (power pin)
STATIC INLINE void | Chip_LCD_PowerOff (LPC_LCD_T *pLCD)
| Power-off the LCD Panel (power pin)
STATIC INLINE void | Chip_LCD_Enable (LPC_LCD_T *pLCD)
| Enable/Disable the LCD Controller.
STATIC INLINE void | Chip_LCD_Disable (LPC_LCD_T *pLCD)
| Enable/Disable the LCD Controller.
STATIC INLINE void | Chip_LCD_SetUPFrameBuffer (LPC_LCD_T *pLCD, void *buffer)
| Set LCD Upper Panel Frame Buffer for Single Panel or Upper Panel Frame Buffer for Dual Panel.
STATIC INLINE void | Chip_LCD_SetLPFrameBuffer (LPC_LCD_T *pLCD, void *buffer)
| Set LCD Lower Panel Frame Buffer for Dual Panel.
void | Chip_LCD_Cursor_Config (LPC_LCD_T *pLCD, IP_LCD_CURSOR_SIZE_OPT_T cursor_size, bool sync)
| Configure Cursor.
STATIC INLINE void | Chip_LCD_Cursor_Enable (LPC_LCD_T *pLCD, uint8_t cursor_num)
| Enable Cursor.
STATIC INLINE void | Chip_LCD_Cursor_Disable (LPC_LCD_T *pLCD, uint8_t cursor_num)
| Disable Cursor.
STATIC INLINE void | Chip_LCD_Cursor_LoadPalette0 (LPC_LCD_T *pLCD, uint32_t palette_color)
| Load Cursor Palette.
STATIC INLINE void | Chip_LCD_Cursor_LoadPalette1 (LPC_LCD_T *pLCD, uint32_t palette_color)
| Load Cursor Palette.
STATIC INLINE void | Chip_LCD_Cursor_SetPos (LPC_LCD_T *pLCD, uint16_t x, uint16_t y)
| Set Cursor Position.
STATIC INLINE void | Chip_LCD_Cursor_SetClip (LPC_LCD_T *pLCD, uint16_t x, uint16_t y)
| Set Cursor Clipping Position.
STATIC INLINE void | Chip_LCD_EnableInts (LPC_LCD_T *pLCD, uint32_t ints)
| Enable Controller Interrupt.
STATIC INLINE void | Chip_LCD_DisableInts (LPC_LCD_T *pLCD, uint32_t ints)
| Disable Controller Interrupt.
STATIC INLINE void | Chip_LCD_ClearInts (LPC_LCD_T *pLCD, uint32_t ints)
| Clear Controller Interrupt.
void | Chip_LCD_Cursor_WriteImage (LPC_LCD_T *pLCD, uint8_t cursor_num, void *Image)
| Write Cursor Image into Internal Cursor Image Buffer.
void | Chip_LCD_LoadPalette (LPC_LCD_T *pLCD, void *palette)
| Load LCD Palette.

## Function Documentation

STATIC INLINE void Chip_LCD_ClearInts | ( | LPC_LCD_T * | pLCD,
|  | uint32_t | ints
| ) |  |

Clear Controller Interrupt.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  ints | : OR'ed interrupt bits to clear

Returns
  None

Definition at line 233 of file lcd_18xx_43xx.h.

void Chip_LCD_Cursor_Config | ( | LPC_LCD_T * | pLCD,
|  | IP_LCD_CURSOR_SIZE_OPT_T | cursor_size,
|  | bool | sync
| ) |  |

Configure Cursor.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  cursor_size | : specify size of cursor LCD_CURSOR_32x32 :cursor size is 32x32 pixels LCD_CURSOR_64x64 :cursor size is 64x64 pixels
  sync | : cursor sync mode TRUE :cursor sync to the frame sync pulse FALSE :cursor async mode

Returns
  None

Definition at line 68 of file lcd_17xx_40xx.c.

STATIC INLINE void Chip_LCD_Cursor_Disable | ( | LPC_LCD_T * | pLCD,
|  | uint8_t | cursor_num
| ) |  |

Disable Cursor.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  cursor_num | : specify number of cursor is going to be written this param must < 4

Returns
  None

Definition at line 154 of file lcd_18xx_43xx.h.

STATIC INLINE void Chip_LCD_Cursor_Enable | ( | LPC_LCD_T * | pLCD,
|  | uint8_t | cursor_num
| ) |  |

Enable Cursor.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  cursor_num | : specify number of cursor is going to be written this param must < 4

Returns
  None

Definition at line 142 of file lcd_18xx_43xx.h.

STATIC INLINE void Chip_LCD_Cursor_LoadPalette0 | ( | LPC_LCD_T * | pLCD,
|  | uint32_t | palette_color
| ) |  |

Load Cursor Palette.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  palette_color | : cursor palette 0 value

Returns
  None

Definition at line 165 of file lcd_18xx_43xx.h.

STATIC INLINE void Chip_LCD_Cursor_LoadPalette1 | ( | LPC_LCD_T * | pLCD,
|  | uint32_t | palette_color
| ) |  |

Load Cursor Palette.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  palette_color | : cursor palette 1 value

Returns
  None

Definition at line 176 of file lcd_18xx_43xx.h.

STATIC INLINE void Chip_LCD_Cursor_SetClip | ( | LPC_LCD_T * | pLCD,
|  | uint16_t | x,
|  | uint16_t | y
| ) |  |

Set Cursor Clipping Position.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  x | : horizontal position, should be in range: 0..63
  y | : vertical position, should be in range: 0..63

Returns
  None

Definition at line 200 of file lcd_18xx_43xx.h.

STATIC INLINE void Chip_LCD_Cursor_SetPos | ( | LPC_LCD_T * | pLCD,
|  | uint16_t | x,
|  | uint16_t | y
| ) |  |

Set Cursor Position.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  x | : horizontal position
  y | : vertical position

Returns
  None

Definition at line 188 of file lcd_18xx_43xx.h.

void Chip_LCD_Cursor_WriteImage | ( | LPC_LCD_T * | pLCD,
|  | uint8_t | cursor_num,
|  | void * | Image
| ) |  |

Write Cursor Image into Internal Cursor Image Buffer.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  cursor_num | : Cursor index
  Image | : Pointer to image data

Returns
  None

Definition at line 75 of file lcd_17xx_40xx.c.

void Chip_LCD_DeInit | ( | LPC_LCD_T * | pLCD | ) |

Shutdown the LCD controller.

Parameters

  pLCD | : The base of LCD peripheral on the chip

Returns
  Nothing

Definition at line 62 of file lcd_17xx_40xx.c.

STATIC INLINE void Chip_LCD_Disable | ( | LPC_LCD_T * | pLCD | ) |

Enable/Disable the LCD Controller.

Parameters

  pLCD | : The base of LCD peripheral on the chip

Returns
  None

Definition at line 94 of file lcd_18xx_43xx.h.

STATIC INLINE void Chip_LCD_DisableInts | ( | LPC_LCD_T * | pLCD,
|  | uint32_t | ints
| ) |  |

Disable Controller Interrupt.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  ints | : OR'ed interrupt bits to disable

Returns
  None

Definition at line 222 of file lcd_18xx_43xx.h.

STATIC INLINE void Chip_LCD_Enable | ( | LPC_LCD_T * | pLCD | ) |

Enable/Disable the LCD Controller.

Parameters

  pLCD | : The base of LCD peripheral on the chip

Returns
  None

Definition at line 84 of file lcd_18xx_43xx.h.

STATIC INLINE void Chip_LCD_EnableInts | ( | LPC_LCD_T * | pLCD,
|  | uint32_t | ints
| ) |  |

Enable Controller Interrupt.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  ints | : OR'ed interrupt bits to enable

Returns
  None

Definition at line 211 of file lcd_18xx_43xx.h.

void Chip_LCD_Init | ( | LPC_LCD_T * | pLCD,
|  | LCD_Config_T * | LCD_ConfigStruct
| ) |  |

Initialize the LCD controller.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  LCD_ConfigStruct | : Pointer to LCD configuration

Returns
  LCD_FUNC_OK is executed successfully or LCD_FUNC_ERR on error

Definition at line 55 of file lcd_17xx_40xx.c.

void Chip_LCD_LoadPalette | ( | LPC_LCD_T * | pLCD,
|  | void * | palette
| ) |  |

Load LCD Palette.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  palette | : Address of palette table to load

Returns
  None

Definition at line 101 of file lcd_17xx_40xx.c.

STATIC INLINE void Chip_LCD_PowerOff | ( | LPC_LCD_T * | pLCD | ) |

Power-off the LCD Panel (power pin)

Parameters

  pLCD | : The base of LCD peripheral on the chip

Returns
  None

Definition at line 74 of file lcd_18xx_43xx.h.

STATIC INLINE void Chip_LCD_PowerOn | ( | LPC_LCD_T * | pLCD | ) |

Power-on the LCD Panel (power pin)

Parameters

  pLCD | : The base of LCD peripheral on the chip

Returns
  None

Definition at line 64 of file lcd_18xx_43xx.h.

STATIC INLINE void Chip_LCD_SetLPFrameBuffer | ( | LPC_LCD_T * | pLCD,
|  | void * | buffer
| ) |  |

Set LCD Lower Panel Frame Buffer for Dual Panel.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  buffer | : address of buffer

Returns
  None

Definition at line 117 of file lcd_18xx_43xx.h.

STATIC INLINE void Chip_LCD_SetUPFrameBuffer | ( | LPC_LCD_T * | pLCD,
|  | void * | buffer
| ) |  |

Set LCD Upper Panel Frame Buffer for Single Panel or Upper Panel Frame Buffer for Dual Panel.

Parameters

  pLCD | : The base of LCD peripheral on the chip
  buffer | : address of buffer

Returns
  None

Definition at line 106 of file lcd_18xx_43xx.h.